GNU Radio 2.x: gr_rational_resampler_base_fsf Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_rational_resampler_base_fsf Class Reference
[Filters]

`#include <gr_rational_resampler_base_fsf.h>`

Inheritance diagram for gr_rational_resampler_base_fsf:

[legend]
Collaboration diagram for gr_rational_resampler_base_fsf:

[legend]
List of all members.

## Detailed Description

Rational Resampling Polyphase FIR filter with float input, short output and float taps.

## Public Member Functions
| ~gr_rational_resampler_base_fsf ()
unsigned | history () const
void | set_history (unsigned history)
unsigned | interpolation () const
unsigned | decimation () const
void | set_taps (const std::vector< float > &taps)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
| Estimate input requirements given output request.
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| compute output items from input items
## Friends
gr_rational_resampler_base_fsf_sptr | gr_make_rational_resampler_base_fsf (unsigned interpolation, unsigned decimation, const std::vector< float > &taps)

## Constructor & Destructor Documentation

gr_rational_resampler_base_fsf::~gr_rational_resampler_base_fsf | ( |  | ) |

## Member Function Documentation

unsigned gr_rational_resampler_base_fsf::decimation | ( |  | ) | const`[inline]`

void gr_rational_resampler_base_fsf::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) | `[virtual]`

  | Estimate input requirements given output request. Parameters:
  | noutput_items | number of output items to produce
  | ninput_items_required | number of input items required on each input stream
Given a request to product `noutput_items`, estimate the number of data items required on each input stream. The estimate doesn't have to be exact, but should be close. Reimplemented from gr_block.

int gr_rational_resampler_base_fsf::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

  | compute output items from input items Parameters:
  | noutput_items | number of output items to write on each output stream
  | ninput_items | number of input items available on each input stream
  | input_items | vector of pointers to the input items, one entry per input stream
  | output_items | vector of pointers to the output items, one entry per output stream
Returns: number of items actually written to each output stream, or -1 on EOF. It is OK to return a value less than noutput_items. -1 <= return value <= noutput_items general_work must call consume or consume_each to indicate how many items were consumed on each input stream. Implements gr_block.

unsigned gr_rational_resampler_base_fsf::history | ( |  | ) | const`[inline]`

| Assume block computes y_i = f(x_i, x_i-1, x_i-2, x_i-3...) History is the number of x_i's that are examined to produce one y_i. This comes in handy for FIR filters, where we use history to ensure that our input contains the appropriate "history" for the filter. History should be equal to the number of filter taps. Reimplemented from gr_block.

unsigned gr_rational_resampler_base_fsf::interpolation | ( |  | ) | const`[inline]`

void gr_rational_resampler_base_fsf::set_history | ( | unsigned | history | ) | `[inline]`

| Reimplemented from gr_block.

void gr_rational_resampler_base_fsf::set_taps | ( | const std::vector< float > & | taps | ) |

## Friends And Related Function Documentation

gr_rational_resampler_base_fsf_sptr gr_make_rational_resampler_base_fsf | ( | unsigned | interpolation,
|  | unsigned | decimation,
|  | const std::vector< float > & | taps
| ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_rational_resampler_base_fsf.h
- gr_rational_resampler_base_fsf.cc